Skip to main content
PUT
/
client
/
taps
/
{id}
/
configuration
Update configuration
curl --request PUT \
  --url https://api.orbital-systems.com/client/taps/{id}/configuration \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "active_timeout_s": 123,
  "default_flow": 123,
  "default_temp": 123,
  "min_flow": 123,
  "min_temp": 123,
  "max_flow": 123,
  "max_temp": 123,
  "theme": 0.5,
  "time_zone": "<string>",
  "time_zone_name": "<string>",
  "units": 0.5,
  "wall_clock_enabled": true,
  "welcome_message_enabled": true,
  "welcome_message": "<string>"
}
'
{
  "active_timeout_s": 123,
  "default_flow": 123,
  "default_temp": 123,
  "min_flow": 123,
  "min_temp": 123,
  "max_flow": 123,
  "max_temp": 123,
  "theme": 123,
  "time_zone": "<string>",
  "time_zone_name": "<string>",
  "units": 123,
  "wall_clock_enabled": true,
  "welcome_message_enabled": true,
  "welcome_message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://orbitalsystems.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

The unique identifier for the tap

Body

application/json
active_timeout_s
number
default_flow
number
default_temp
number
min_flow
number
min_temp
number
max_flow
number
max_temp
number
theme
number
Required range: 0 <= x <= 1
time_zone
string
time_zone_name
string
units
number
Required range: 0 <= x <= 1
wall_clock_enabled
boolean
welcome_message_enabled
boolean
welcome_message
string

Response

Configuration updated successfully

active_timeout_s
number
default_flow
number
default_temp
number
min_flow
number
min_temp
number
max_flow
number
max_temp
number
theme
number
time_zone
string
time_zone_name
string
units
number
wall_clock_enabled
boolean
welcome_message_enabled
boolean
welcome_message
string